/*****************************************************************************************************************************
Funciones de javaScript para el manejo de ajax
Andres Felipe Velasco Charria
2019-08-12
************************************************

/*
Funcion hace una solicitud por ajax a un php
Andres Felipe Velasco Charria
2019-08-12

Recibe como parametros:
1. ulrResponde: Url del php que responde la solicitud
2. jsonEnvio: json, donde se colocan los datos que se enviaran al php
3. varAsync: false si no quiero que sea asincrono, true si lo quiero asincrono (true, es la opcion por defecto.)
*/
var funcionAjax = function(ulrResponde, jsonEnvio, varAsync ) {
  var salida;

  $.ajax({    
    url: ulrResponde,
    data : jsonEnvio,
    type : 'POST',
    dataType : 'json',
    cache: false,
    async: varAsync,
    success: function(json) {
      salida = json;
    },
    error : function(xhr, status) {
        //alert('Disculpe, existió un problema');
        salida = null;
    },
    complete : function(xhr, status) {
        //alert('Petición realizada');
    }
  });

  return salida;
}